* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Open Sans', sans-serif;
    font-size: 25px;
    font-weight: 300;
    color: #333;
}

h1, h2, h3, h4, h5, h6 {
    font-family: 'Abril Fatface', cursive;
}

a {
    color: #333;
    text-decoration: none;
}

/* Utility classes */

.container {
    padding: 0 7vw;
}

.row {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
}

.col-3 {
    -ms-flex: 0 0 22%;
    flex: 0 0 22%;
    max-width: 22%;
}

.d-none {
    display: none !important;
}

.d-flex {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
}

.flex-direction-column {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
}

.justify-space-between {
    justify-content: space-between;
}

.align-self-end {
    align-self: flex-end;
}

.align-self-start {
    align-self: flex-start;
}

.align-self-ceter {
    align-self: center;
}

.justify-content-center {
    -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
}

.align-items-center {
    -webkit-box-align: center;
      -ms-flex-align: center;
              -ms-grid-row-align: center;
          align-items: center;
}

.justify-content-between {
    -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
}

.pl-150 {
    padding-left: 150px;
}

.p-50 {
    padding: 50px 0;
}

.mr-45 {
    margin-right: 45px;
}

.mr-50 {
    margin-right: 50px;
}

.mb-5 {
    margin-bottom: 5px;
}

.mb-10 {
    margin-bottom: 10px;
}

.mb-20 {
    margin-bottom: 20px;
}

.mb-35 {
    margin-bottom: 35px;
}

.mb-30 {
    margin-bottom: 30px;
}

.mb-50 {
    margin-bottom: 50px;
}

.btn {
    border-radius: 10px;
    padding: 10px 45px;
    font-size: 25px;
    font-weight: 300;
    cursor: pointer;
}

.btn-gradient {
    background: rgb(104,81,156);
    background: -webkit-linear-gradient(left, rgba(214,46,82,1) 0%,  rgba(104,81,156,1) 100%);
    background: linear-gradient(90deg, rgba(214,46,82,1) 0%,  rgba(104,81,156,1) 100%);
    color: #fff;
    border: none;
}

.text-white {
    color: #fff;
}

.text-right {
    text-align: right;
}

.text-left {
    text-align: left;
}

.text-center {
    text-align: center;
}

.text-underline {
    text-decoration: underline;
}

.error-input input,
.error-input textarea {
    border: 1px solid #dc3545 !important;
}

.err-msg {
    color: #dc3545;
    font-size: 18px;
}

.img-fluid {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.w-100 {
    width: 100%;
}

.h-100 {
    height: 100%;
}

/* Login/register styling */

.signin-register-wrapper {
    width: 100%;
    height: 100vh;
}

.form {
    width: 35%;
    padding: 0 100px;
}

.form-title {
    font-size: 55px;
    font-weight: 300;
}

.border-bottom-gradient {
    position: relative;
    z-index: 1;
}

.border-bottom-gradient::before {
    content: '';
    position: absolute;
    z-index: -1;
    bottom: 6px;
    left: 0;
    width: 100%;
    height: 7px;
    background: rgb(104,81,156);
    background: -webkit-linear-gradient(left, rgba(214,46,82,1) 0%,  rgba(104,81,156,1) 100%);
    background: linear-gradient(90deg, rgba(214,46,82,1) 0%,  rgba(104,81,156,1) 100%);
}

.form-title-wapper .login-logo {
    width: 100px;
}

.signin-register-form label,
.signin-register-form input,
.signin-register-form select {
    display: block;
    width: 100%;
}

.signin-register-form label {
    margin-bottom: 5px;
}

.signin-register-form input {
    height: 50px;
    border-radius: 10px;
    border: 1px solid #A4A4A4;
    font-size: 15px;
    padding-left: 20px;
    font-family: 'Open Sans', sans-serif;
}

.signin-register-form select {
    height: 40px;
    border-radius: 5px;
    border: 1px solid #A4A4A4;
    font-size: 15px;
    padding-left: 5px;
    font-family: 'Open Sans', sans-serif;
}

.signin-register-form input[type="file"] {
    border: none;
    padding-left: 0;
    border-radius: 0;
    height:unset;
}

.signin-register-form textarea {
    height: 150px;
    width: 100%;
    border-radius: 10px;
    border: 1px solid #A4A4A4;
    font-size: 15px;
    padding: 10px 0 0 20px;
    resize: none;
    font-family: 'Open Sans', sans-serif;
}

.form-question {
    font-size: 15px;
}

.form-text {
    width: 65%;
    height: 100%;
}

.banner-title {
    font-size: 100px;
    line-height: 110px;
}

/* Navigation styling */

nav {
    padding: 1vw 7vw 0 7vw;
}

.links-list {
    list-style: none;
}

.links-list li {
    padding-left: 50px;
}

.links-list li:first-child {
    padding-left: 0;
}

.links-list a {
    text-decoration: none;
}

.logo {
    width: 100px;
}

.profile-links {
    list-style: none;
    display: none;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.2);
    position: absolute;
    top: 11%;
    right: 6%;
    padding: 20px 40px;
}
.profile-links.show {
    display: block;
}

.profile-links a {
    text-decoration: none;
}

.profile-links li {
    margin-bottom: 15px;
}

.account {
    position: relative;
    cursor: pointer;
}

.account::before {
    position: absolute;
    content: '';
    top: 30%;
    right: -20%;
    width: 20px;
    height: 20px;
    background: url('../img/caret-down-solid.svg') no-repeat;
}

.border-link-bottom-gradient {
    position: relative;
}

.border-link-bottom-gradient.active {
    position: relative;
}

.border-link-bottom-gradient.active::after {
    width: 100%;
}

.border-link-bottom-gradient::after {
    content: '';
    position: absolute;
    z-index: -1;
    bottom: 0;
    left: 0;
    width: 50%;
    height: 4px;
    background: rgb(104,81,156);
    background: -webkit-linear-gradient(left, rgba(214,46,82,1) 0%,  rgba(104,81,156,1) 100%);
    background: linear-gradient(90deg, rgba(214,46,82,1) 0%,  rgba(104,81,156,1) 100%);
    transition: all 0.3s ease-out;
}

.border-link-bottom-gradient:hover::after {
    width: 100%;
}

/* Albums page styling */

.album-card {
    border: 1px solid #A4A4A4;
    border-radius: 5px;
    width: 100%;
    padding: 20px 20px 0 20px;
}

.album-cover {
    height: 300px;
    overflow: hidden;
    position: relative;
}

.info {
    position: absolute;
    bottom: 0;
    right: 10px;
    background-color: #fff;
    padding: 0 5px;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
}

.info .fa {
    background: -webkit-linear-gradient(0deg, rgba(155,29,83,1) 0%, rgba(45,149,219,1) 100%);
    background-clip: border-box;
    background-clip: border-box;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    cursor: pointer;
}

.album-title {
    padding: 20px 0;
    font-family: 'Sriracha', cursive;
    font-size: 30px;
    font-weight: 400;
}

/* Create album */

.create-album {
    width: 100%;
    height: calc(100vh - 127px);
}

.bg-rectangles {
    width: 50%;
    height: 120px;
    background: rgb(104,81,156);
    background: -webkit-linear-gradient(left, rgba(214,46,82,1) 0%,  rgba(104,81,156,1) 100%);
    background: linear-gradient(90deg, rgba(214,46,82,1) 0%,  rgba(104,81,156,1) 100%);
}

.create-form {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 35%;
    height: 100%;
    background-color: #fff;
    border-radius: 5px;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.2);
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 50px 100px;
}

.create-form-title {
    font-size: 48px;
}

/* View album images */

.images-showcase {
    width: 100%;
    height: calc(100vh - 127px);
}

.images-showcase .image-preview{
    width: 100%;
    height: 80%;
    display: flex;
    justify-content: center;
}

.image-preview img {
    width: 55%;
    height: 100%;
    object-fit: cover;
    border-radius: 10px;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.2);
}

@keyframes fadeIn {
    to {
        opacity: 1;
    }
}

.fade-in {
    opacity: 0;
    animation: fadeIn 1s ease-in 1 forwards;
}

/* Carusel */

.carousel-container {
    width: 1000px;
    margin: 0 auto;
    min-height: 150px;
    position: relative;
}

.carousel-container .carousel-inner {
    overflow: hidden;
}

.carousel-container .track {
    display: inline-flex;
    transition: transform 0.3s;
}

.carousel-container .image-container {
    width: 200px;
    height: 150px;
    flex-shrink: 0;
    padding-right: 15px;
}

.carousel-container .image-container .image {
    width: 100%;
    height: 100%;
    border: 1px solid #ccc;
    border-radius: 10px;
    cursor: pointer;
}

.slider-nav button {
    width: 40px;
    height: 40px;
    border-radius: 50%;
    border: 1px solid #aaa;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
}

.slider-nav .prev {
    left: -30px;
    display: none;
}
.slider-nav .prev.show {
    display: block;
}

.slider-nav .next {
    right: -10px;
}
.slider-nav .next.hide {
    display: none;
}

.thumbnails-wrapper {
    display: inline-flex;
}

.carousel-container .thumbnails-container {
    width: 200px;
    height: 150px;
    flex-shrink: 0;
    padding-right: 15px;
}

.carousel-container .thumbnails-container .image {
    width: 100%;
    height: 100%;
    border: 1px solid #ccc;
    border-radius: 10px;
    cursor: pointer;
}

/* Modal styling */

.info-modal {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: #fff;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.2);
    width: 30%;
    height: 60%;
    border-radius: 10px;
    transition: all 5s ease-in-out;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    padding: 0 20px;
}

.blur {
    filter: blur(8px);
    -webkit-filter: blur(8px);
}

.close-btn {
    position: absolute;
    top: 20px;
    right: 40px;
    cursor: pointer;
    font-size: 20px;
    font-weight: bold;
}

/* Alert message */

.alert-message {
    position: relative;
    background-color: #28a745;
    color: #fff;
    padding: 5px 20px;
    border-radius: 10px;
    opacity: 0.8;
    font-size: 20px;
}

.x-btn {
    position: absolute;
    top: 10px;
    right: 15px;
    font-size: 18px;
    cursor: pointer;
}